OGRE: Ogre::v1::StaticGeometry::LODBucket Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::v1::StaticGeometry::LODBucket Class Reference

A LODBucket is a collection of smaller buckets with the same LOD. More...

`#include <OgreStaticGeometry.h>`

Inheritance diagram for Ogre::v1::StaticGeometry::LODBucket:
[legend]

## Public Types
typedef map< String, MaterialBucket * >::type | MaterialBucketMap
| Lookup of Material Buckets in this region. More...
typedef MapIterator< MaterialBucketMap > | MaterialIterator
| Iterator over the materials in this LOD. More...

## Public Member Functions
| LODBucket (Region *parent, unsigned short lod, Real lodValue)
virtual | ~LODBucket ()
void | addRenderables (RenderQueue *queue, uint8 group, const FastArray< unsigned char > &currentMatLod)
| Add children to the render queue. More...
void | assign (QueuedSubMesh *qsm, ushort atLod)
| Assign a queued submesh to this bucket, using specified mesh LOD. More...
void | build ()
| Build. More...
void | dump (std::ofstream &of) const
| Dump contents for diagnostics. More...
EdgeData * | getEdgeList () const
ushort | getLod (void) const
| Get the LOD index. More...
Real | getLodValue (void) const
| Get the LOD value. More...
MaterialIterator | getMaterialIterator (void)
| Get an iterator over the materials in this LOD. More...
size_t | getNumMaterials (void) const
Region * | getParent (void)
bool | isVertexProgramInUse () const
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Detailed Description

A LODBucket is a collection of smaller buckets with the same LOD.

Remarks
  LOD refers to Mesh LOD here. Material LOD can change separately at the next bucket down from this.

## Member Typedef Documentation

## ◆ MaterialBucketMap

typedef map<String, MaterialBucket*>::type Ogre::v1::StaticGeometry::LODBucket::MaterialBucketMap

Lookup of Material Buckets in this region.

## ◆ MaterialIterator

typedef MapIterator<MaterialBucketMap> Ogre::v1::StaticGeometry::LODBucket::MaterialIterator

Iterator over the materials in this LOD.

## Constructor & Destructor Documentation

## ◆ LODBucket()

Ogre::v1::StaticGeometry::LODBucket::LODBucket | ( | Region * | parent,
|  | unsigned short | lod,
|  | Real | lodValue
| ) |  |

## ◆ ~LODBucket()

virtual Ogre::v1::StaticGeometry::LODBucket::~LODBucket | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addRenderables()

void Ogre::v1::StaticGeometry::LODBucket::addRenderables | ( | RenderQueue * | queue,
|  | uint8 | group,
|  | const FastArray< unsigned char > & | currentMatLod
| ) |  |

Add children to the render queue.

## ◆ assign()

void Ogre::v1::StaticGeometry::LODBucket::assign | ( | QueuedSubMesh * | qsm,
|  | ushort | atLod
| ) |  |

Assign a queued submesh to this bucket, using specified mesh LOD.

## ◆ build()

void Ogre::v1::StaticGeometry::LODBucket::build | ( |  | ) |

Build.

## ◆ dump()

void Ogre::v1::StaticGeometry::LODBucket::dump | ( | std::ofstream & | of | ) | const

Dump contents for diagnostics.

## ◆ getEdgeList()

EdgeData* Ogre::v1::StaticGeometry::LODBucket::getEdgeList | ( |  | ) | const
| inline

## ◆ getLod()

ushort Ogre::v1::StaticGeometry::LODBucket::getLod | ( | void |  | ) | const
| inline

Get the LOD index.

## ◆ getLodValue()

Real Ogre::v1::StaticGeometry::LODBucket::getLodValue | ( | void |  | ) | const
| inline

Get the LOD value.

## ◆ getMaterialIterator()

MaterialIterator Ogre::v1::StaticGeometry::LODBucket::getMaterialIterator | ( | void |  | ) |

Get an iterator over the materials in this LOD.

## ◆ getNumMaterials()

size_t Ogre::v1::StaticGeometry::LODBucket::getNumMaterials | ( | void |  | ) | const
| inline

## ◆ getParent()

Region* Ogre::v1::StaticGeometry::LODBucket::getParent | ( | void |  | ) |
| inline

## ◆ isVertexProgramInUse()

bool Ogre::v1::StaticGeometry::LODBucket::isVertexProgramInUse | ( |  | ) | const
| inline

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreStaticGeometry.h